STU3 Condition
The Condition resource describes a "clinical condition, problem, diagnosis, or other event, situation, issue, or clinical concept that has risen to a level of concern." HL7 FHIR STU3 Condition
Supported Profiles
This API supports the following FHIR profiles:
Operations
The Certified API Condition resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | Yes | - | Yes |
| myAvatar | - | Yes | - | Yes |
| myEvolv | - | Yes | - | Yes |
| myUnity | - | Yes | - | Yes |
Search
info
Not all Netsmart solutions support Condition search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | REQUIRED Who has the condition? |
Custom Parameters
| Name | Type | Description |
|---|---|---|
| start | date | Start date/time of condition |
| end | date | End date/time of condition |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/Condition/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/567"
Search by Patient and Category
curl -X POST https://fhirtest.netsmartcloud.com/fhir/Condition/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/567"
Via GET
- Production
- Preview
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/Condition?patient=Patient/567" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
Search by Patient
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/Condition?patient=Patient/567" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"